MonoMac 0.0.0.0 MonoMac.Foundation.NSObject MonoMac.Foundation.Register("NSURL", true) Represents a URL. To be added.
- Constructor
  0.0.0.0
  MonoMac.Foundation.Export("initWithCoder:")
  System.ComponentModel.EditorBrowsable(System.ComponentModel.EditorBrowsableState.Advanced)
  The unarchiver object.
  A constructor that initializes the object from the data stored in the unarchiver object.
  This constructor is provided to allow the class to be initialized from an unarchiver (for example, during NIB deserialization).
- Constructor
  0.0.0.0
  System.ComponentModel.EditorBrowsable(System.ComponentModel.EditorBrowsableState.Advanced)
  Unused sentinel value, pass NSObjectFlag.Empty.
  Constructor to call on derived classes when the derived class has an [Export] constructor.

  This constructor should be called by derived classes when they are initialized using an [Export] attribute. The argument value is ignore, typically the chaining would look like this:

  public class MyClass : BaseClass { [Export ("initWithFoo:")] public MyClass (string foo) : base (NSObjectFlag.Empty) { ... }
- Constructor
  0.0.0.0
  System.ComponentModel.EditorBrowsable(System.ComponentModel.EditorBrowsableState.Advanced)
  Pointer (handle) to the unmanaged object.
  A constructor used when creating managed representations of unmanaged objects; Called by the runtime.

  This constructor is invoked by the runtime infrastructure () to create a new managed representation for a pointer to an unmanaged Objective-C object. You should not invoke this method directly, instead you should call the GetNSObject method as it will prevent two instances of a managed object to point to the same native object.

- Constructor
  0.0.0.0
  MonoMac.Foundation.Export("initWithString:")
  To be added.
  To be added.
  To be added.
- Constructor
  0.0.0.0
  MonoMac.Foundation.Export("initWithString:relativeToURL:")
  To be added.
  To be added.
  To be added.
  To be added.
- Constructor
  0.0.0.0
  MonoMac.Foundation.Export("initFileURLWithPath:isDirectory:")
  To be added.
  To be added.
  The challenge that the server sends to the client.
  To be added.
- Constructor
  0.0.0.0
  To be added.
  To be added.
  To be added.
  To be added.
- Constructor
  0.0.0.0
  MonoMac.Foundation.Export("initWithScheme:host:path:")
  To be added.
  To be added.
  To be added.
  To be added.
  To be added.
- Constructor
  0.0.0.0
  MonoMac.Foundation.Export("initByResolvingBookmarkData:options:relativeToURL:bookmarkDataIsStale:error:")
  To be added.
  To be added.
  To be added.
  To be added.
  To be added.
  To be added.
  To be added.
- Property
  0.0.0.0
  get: MonoMac.Foundation.Export("absoluteString")
  System.String To be added. To be added. To be added.
- Property
  0.0.0.0
  get: MonoMac.Foundation.Export("absoluteURL")
  MonoMac.Foundation.NSUrl To be added. To be added. To be added.
- Method
  0.0.0.0
  MonoMac.Foundation.Export("URLByAppendingPathComponent:isDirectory:")
  MonoMac.Foundation.NSUrl `` `` To be added. To be added. To be added. To be added. To be added.
- Property
  0.0.0.0
  MonoMac.Foundation.NSString Represents the value associated with the constant NSURLAttributeModificationDateKey To be added.
- Property
  0.0.0.0
  get: MonoMac.Foundation.Export("baseURL")
  MonoMac.Foundation.NSUrl To be added. To be added. To be added.
- Property
  0.0.0.0
  System.IntPtr The handle for this class. The pointer to the Objective-C class. Each MonoMac class mirrors an unmanaged Objective-C class. This value contains the pointer to the Objective-C class, it is similar to calling objc_getClass with the object name.
- Property
  0.0.0.0
  MonoMac.Foundation.NSString Represents the value associated with the constant NSURLContentAccessDateKey To be added.
- Property
  0.0.0.0
  MonoMac.Foundation.NSString Represents the value associated with the constant NSURLContentModificationDateKey To be added.
- Method
  0.0.0.0
  MonoMac.Foundation.Export("bookmarkDataWithOptions:includingResourceValuesForKeys:relativeToURL:error:")
  MonoMac.Foundation.NSData `` `` `` `` To be added. To be added. To be added. To be added. To be added. To be added. To be added.
- Property
  0.0.0.0
  MonoMac.Foundation.NSString Represents the value associated with the constant NSURLCreationDateKey To be added.
- Property
  0.0.0.0
  MonoMac.Foundation.NSString Represents the value associated with the constant NSURLCustomIconKey To be added.
- Method
  0.0.0.0
  System.Void ``

  If set to , the method is invoked directly and will dispose manage and unmanaged resources; If set to the method is being called by the garbage collector finalizer and should only release unmanaged resources.

  Releases the resources used by the NSUrl object.

  This Dispose method releases the resources used by the NSUrl class.

  This method is called by both the Dispose() method and the object finalizer (Finalize). When invoked by the Dispose method, the parameter disposting is set to and any managed object references that this object holds are also disposed or released; when invoked by the object finalizer, on the finalizer thread the value is set to .

  Calling the Dispose method when you are finished using the NSUrl ensures that all external resources used by this managed object are released as soon as possible. Once you have invoked the Dispose method, the object is no longer useful and you should no longer make any calls to it.

  For more information on how to override this method and on the Dispose/IDisposable pattern, read the ``Implementing a Dispose Method'' document at http://msdn.microsoft.com/en-us/library/fs2xkftw.aspx

- Property
  0.0.0.0
  MonoMac.Foundation.NSString Represents the value associated with the constant NSURLEffectiveIconKey To be added.
- Method
  0.0.0.0
  System.Boolean `` To be added. Returns true if the two objects represent the same URL. To be added. To be added.
- Property
  0.0.0.0
  MonoMac.Foundation.NSString Represents the value associated with the constant NSURLFileAllocatedSizeKey To be added.
- Property
  0.0.0.0
  MonoMac.Foundation.NSString Represents the value associated with the constant NSURLFileResourceIdentifierKey To be added.
- Property
  0.0.0.0
  MonoMac.Foundation.NSString Represents the value associated with the constant NSURLFileResourceTypeBlockSpecial To be added.
- Property
  0.0.0.0
  MonoMac.Foundation.NSString Represents the value associated with the constant NSURLFileResourceTypeCharacterSpecial To be added.
- Property
  0.0.0.0
  MonoMac.Foundation.NSString Represents the value associated with the constant NSURLFileResourceTypeDirectory To be added.
- Property
  0.0.0.0
  MonoMac.Foundation.NSString Represents the value associated with the constant NSURLFileResourceTypeKey To be added.
- Property
  0.0.0.0
  MonoMac.Foundation.NSString Represents the value associated with the constant NSURLFileResourceTypeNamedPipe To be added.
- Property
  0.0.0.0
  MonoMac.Foundation.NSString Represents the value associated with the constant NSURLFileResourceTypeRegular To be added.
- Property
  0.0.0.0
  MonoMac.Foundation.NSString Represents the value associated with the constant NSURLFileResourceTypeSocket To be added.
- Property
  0.0.0.0
  MonoMac.Foundation.NSString Represents the value associated with the constant NSURLFileResourceTypeSymbolicLink To be added.
- Property
  0.0.0.0
  MonoMac.Foundation.NSString Represents the value associated with the constant NSURLFileResourceTypeUnknown To be added.
- Property
  0.0.0.0
  MonoMac.Foundation.NSString Represents the value associated with the constant NSURLFileSecurityKey To be added.
- Property
  0.0.0.0
  MonoMac.Foundation.NSString Represents the value associated with the constant NSURLFileSizeKey To be added.
- Property
  0.0.0.0
  get: MonoMac.Foundation.Export("fragment")
  System.String To be added. To be added. To be added.
- Method
  0.0.0.0
  MonoMac.Foundation.NSUrl `` The filename. Creates an NSUrl from a filename. An NSUrl that points to the given filename.
- Method
  0.0.0.0
  MonoMac.Foundation.Export("URLFromPasteboard:")
  MonoMac.Foundation.NSUrl `` To be added. To be added. To be added. To be added.
- Method
  0.0.0.0
  MonoMac.Foundation.Export("URLWithString:")
  MonoMac.Foundation.NSUrl `` To be added. Creates a Url from the given strings. To be added. To be added.
- Method
  0.0.0.0
  System.Int32 Generates a hash code for the current instance. A int containing the hash code for this instance. The algorithm used to generate the hash code is unspecified.
- Method
  0.0.0.0
  MonoMac.Foundation.Export("resourceValuesForKeys:error:")
  MonoMac.Foundation.NSDictionary `` `` To be added. To be added. To be added. To be added. To be added.
- Property
  0.0.0.0
  MonoMac.Foundation.NSString Represents the value associated with the constant NSURLHasHiddenExtensionKey To be added.
- Property
  0.0.0.0
  get: MonoMac.Foundation.Export("host")
  System.String To be added. To be added. To be added.
- Property
  0.0.0.0
  MonoMac.Foundation.NSString Represents the value associated with the constant NSURLIsAliasFileKey To be added.
- Property
  0.0.0.0
  MonoMac.Foundation.NSString Represents the value associated with the constant NSURLIsDirectoryKey To be added.
- Method
  0.0.0.0
  MonoMac.Foundation.Export("isEqual:")
  System.Boolean `` To be added. To be added. To be added. To be added.
- Property
  0.0.0.0
  MonoMac.Foundation.NSString Represents the value associated with the constant NSURLIsExcludedFromBackupKey To be added.
- Property
  0.0.0.0
  MonoMac.Foundation.NSString Represents the value associated with the constant NSURLIsExecutableKey To be added.
- Property
  0.0.0.0
  get: MonoMac.Foundation.Export("isFileURL")
  System.Boolean To be added. To be added. To be added.
- Property
  0.0.0.0
  MonoMac.Foundation.NSString Represents the value associated with the constant NSURLIsHiddenKey To be added.
- Property
  0.0.0.0
  MonoMac.Foundation.NSString Represents the value associated with the constant NSURLIsMountTriggerKey To be added.
- Property
  0.0.0.0
  MonoMac.Foundation.NSString Represents the value associated with the constant NSURLIsPackageKey To be added.
- Property
  0.0.0.0
  MonoMac.Foundation.NSString Represents the value associated with the constant NSURLIsReadableKey To be added.
- Property
  0.0.0.0
  MonoMac.Foundation.NSString Represents the value associated with the constant NSURLIsRegularFileKey To be added.
- Property
  0.0.0.0
  MonoMac.Foundation.NSString Represents the value associated with the constant NSURLIsSymbolicLinkKey To be added.
- Property
  0.0.0.0
  MonoMac.Foundation.NSString Represents the value associated with the constant NSURLIsSystemImmutableKey To be added.
- Property
  0.0.0.0
  MonoMac.Foundation.NSString Represents the value associated with the constant NSURLIsUbiquitousItemKey To be added.
- Property
  0.0.0.0
  MonoMac.Foundation.NSString Represents the value associated with the constant NSURLIsUserImmutableKey To be added.
- Property
  0.0.0.0
  MonoMac.Foundation.NSString Represents the value associated with the constant NSURLIsVolumeKey To be added.
- Property
  0.0.0.0
  MonoMac.Foundation.NSString Represents the value associated with the constant NSURLIsWritableKey To be added.
- Property
  0.0.0.0
  MonoMac.Foundation.NSString Represents the value associated with the constant NSURLKeysOfUnsetValuesKey To be added.
- Property
  0.0.0.0
  MonoMac.Foundation.NSString Represents the value associated with the constant NSURLLabelColorKey To be added.
- Property
  0.0.0.0
  MonoMac.Foundation.NSString Represents the value associated with the constant NSURLLabelNumberKey To be added.
- Property
  0.0.0.0
  MonoMac.Foundation.NSString Represents the value associated with the constant NSURLLinkCountKey To be added.
- Property
  0.0.0.0
  MonoMac.Foundation.NSString Represents the value associated with the constant NSURLLocalizedLabelKey To be added.
- Property
  0.0.0.0
  MonoMac.Foundation.NSString Represents the value associated with the constant NSURLLocalizedNameKey To be added.
- Property
  0.0.0.0
  MonoMac.Foundation.NSString Represents the value associated with the constant NSURLLocalizedTypeDescriptionKey To be added.
- Method
  0.0.0.0
  MonoMac.Foundation.NSUrl `` To be added. To be added. To be added. To be added.
- Property
  0.0.0.0
  MonoMac.Foundation.NSString Represents the value associated with the constant NSURLNameKey To be added.
- Method
  0.0.0.0
  System.Uri `` To be added. To be added. To be added. To be added.
- Method
  0.0.0.0
  MonoMac.Foundation.NSUrl `` To be added. To be added. To be added. To be added.
- Property
  0.0.0.0
  get: MonoMac.Foundation.Export("parameterString")
  System.String To be added. To be added. To be added.
- Property
  0.0.0.0
  MonoMac.Foundation.NSString Represents the value associated with the constant NSURLParentDirectoryURLKey To be added.
- Property
  0.0.0.0
  get: MonoMac.Foundation.Export("password")
  System.String To be added. To be added. To be added.
- Property
  0.0.0.0
  get: MonoMac.Foundation.Export("path")
  System.String To be added. To be added. To be added.
- Property
  0.0.0.0
  MonoMac.Foundation.NSString To be added. To be added. To be added.
- Property
  0.0.0.0
  MonoMac.Foundation.NSString Represents the value associated with the constant NSURLPreferredIOBlockSizeKey To be added.
- Property
  0.0.0.0
  get: MonoMac.Foundation.Export("query")
  System.String To be added. To be added. To be added.
- Property
  0.0.0.0
  get: MonoMac.Foundation.Export("relativePath")
  System.String To be added. To be added. To be added.
- Property
  0.0.0.0
  get: MonoMac.Foundation.Export("relativeString")
  System.String To be added. To be added. To be added.
- Property
  0.0.0.0
  get: MonoMac.Foundation.Export("resourceSpecifier")
  System.String To be added. To be added. To be added.
- Property
  0.0.0.0
  get: MonoMac.Foundation.Export("scheme")
  System.String To be added. To be added. To be added.
- Method
  0.0.0.0
  System.Boolean `` `` To be added. To be added. To be added. To be added. To be added.
- Method
  0.0.0.0
  System.Boolean `` `` `` To be added. To be added. To be added. To be added. To be added. To be added.
- Property
  0.0.0.0
  get: MonoMac.Foundation.Export("standardizedURL")
  MonoMac.Foundation.NSUrl To be added. To be added. To be added.
- Method
  0.0.0.0
  System.String Returns a string representation of the value of the current instance.
- Property
  0.0.0.0
  MonoMac.Foundation.NSString Represents the value associated with the constant NSURLTotalFileAllocatedSizeKey To be added.
- Property
  0.0.0.0
  MonoMac.Foundation.NSString Represents the value associated with the constant NSURLTotalFileSizeKey To be added.
- Method
  0.0.0.0
  System.Boolean `` `` To be added. To be added. To be added. To be added. To be added.
- Method
  0.0.0.0
  System.Boolean `` `` `` To be added. To be added. To be added. To be added. To be added. To be added.
- Property
  0.0.0.0
  MonoMac.Foundation.NSString Represents the value associated with the constant NSURLTypeIdentifierKey To be added.
- Property
  0.0.0.0
  MonoMac.Foundation.NSString Represents the value associated with the constant NSURLUbiquitousItemHasUnresolvedConflictsKey To be added.
- Property
  0.0.0.0
  MonoMac.Foundation.NSString Represents the value associated with the constant NSURLUbiquitousItemIsDownloadedKey To be added.
- Property
  0.0.0.0
  MonoMac.Foundation.NSString Represents the value associated with the constant NSURLUbiquitousItemIsDownloadingKey To be added.
- Property
  0.0.0.0
  MonoMac.Foundation.NSString Represents the value associated with the constant NSURLUbiquitousItemIsUploadedKey To be added.
- Property
  0.0.0.0
  MonoMac.Foundation.NSString Represents the value associated with the constant NSURLUbiquitousItemIsUploadingKey To be added.
- Property
  0.0.0.0
  MonoMac.Foundation.NSString Represents the value associated with the constant NSURLUbiquitousItemPercentDownloadedKey To be added.
- Property
  0.0.0.0
  MonoMac.Foundation.NSString Represents the value associated with the constant NSURLUbiquitousItemPercentUploadedKey To be added.
- Property
  0.0.0.0
  get: MonoMac.Foundation.Export("user")
  System.String To be added. To be added. To be added.
- Property
  0.0.0.0
  MonoMac.Foundation.NSString Represents the value associated with the constant NSURLVolumeAvailableCapacityKey To be added.
- Property
  0.0.0.0
  MonoMac.Foundation.NSString Represents the value associated with the constant NSURLVolumeCreationDateKey To be added.
- Property
  0.0.0.0
  MonoMac.Foundation.NSString Represents the value associated with the constant NSURLVolumeIdentifierKey To be added.
- Property
  0.0.0.0
  MonoMac.Foundation.NSString Represents the value associated with the constant NSURLVolumeIsAutomountedKey To be added.
- Property
  0.0.0.0
  MonoMac.Foundation.NSString Represents the value associated with the constant NSURLVolumeIsBrowsableKey To be added.
- Property
  0.0.0.0
  MonoMac.Foundation.NSString Represents the value associated with the constant NSURLVolumeIsEjectableKey To be added.
- Property
  0.0.0.0
  MonoMac.Foundation.NSString Represents the value associated with the constant NSURLVolumeIsInternalKey To be added.
- Property
  0.0.0.0
  MonoMac.Foundation.NSString Represents the value associated with the constant NSURLVolumeIsJournalingKey To be added.
- Property
  0.0.0.0
  MonoMac.Foundation.NSString Represents the value associated with the constant NSURLVolumeIsLocalKey To be added.
- Property
  0.0.0.0
  MonoMac.Foundation.NSString Represents the value associated with the constant NSURLVolumeIsReadOnlyKey To be added.
- Property
  0.0.0.0
  MonoMac.Foundation.NSString Represents the value associated with the constant NSURLVolumeIsRemovableKey To be added.
- Property
  0.0.0.0
  MonoMac.Foundation.NSString Represents the value associated with the constant NSURLVolumeLocalizedFormatDescriptionKey To be added.
- Property
  0.0.0.0
  MonoMac.Foundation.NSString Represents the value associated with the constant NSURLVolumeLocalizedNameKey To be added.
- Property
  0.0.0.0
  MonoMac.Foundation.NSString Represents the value associated with the constant NSURLVolumeMaximumFileSizeKey To be added.
- Property
  0.0.0.0
  MonoMac.Foundation.NSString Represents the value associated with the constant NSURLVolumeNameKey To be added.
- Property
  0.0.0.0
  MonoMac.Foundation.NSString Represents the value associated with the constant NSURLVolumeResourceCountKey To be added.
- Property
  0.0.0.0
  MonoMac.Foundation.NSString Represents the value associated with the constant NSURLVolumeSupportsAdvisoryFileLockingKey To be added.
- Property
  0.0.0.0
  MonoMac.Foundation.NSString Represents the value associated with the constant NSURLVolumeSupportsCasePreservedNamesKey To be added.
- Property
  0.0.0.0
  MonoMac.Foundation.NSString Represents the value associated with the constant NSURLVolumeSupportsCaseSensitiveNamesKey To be added.
- Property
  0.0.0.0
  MonoMac.Foundation.NSString Represents the value associated with the constant NSURLVolumeSupportsExtendedSecurityKey To be added.
- Property
  0.0.0.0
  MonoMac.Foundation.NSString Represents the value associated with the constant NSURLVolumeSupportsHardLinksKey To be added.
- Property
  0.0.0.0
  MonoMac.Foundation.NSString Represents the value associated with the constant NSURLVolumeSupportsJournalingKey To be added.
- Property
  0.0.0.0
  MonoMac.Foundation.NSString Represents the value associated with the constant NSURLVolumeSupportsPersistentIDsKey To be added.
- Property
  0.0.0.0
  MonoMac.Foundation.NSString Represents the value associated with the constant NSURLVolumeSupportsRenamingKey To be added.
- Property
  0.0.0.0
  MonoMac.Foundation.NSString Represents the value associated with the constant NSURLVolumeSupportsRootDirectoryDatesKey To be added.
- Property
  0.0.0.0
  MonoMac.Foundation.NSString Represents the value associated with the constant NSURLVolumeSupportsSparseFilesKey To be added.
- Property
  0.0.0.0
  MonoMac.Foundation.NSString Represents the value associated with the constant NSURLVolumeSupportsSymbolicLinksKey To be added.
- Property
  0.0.0.0
  MonoMac.Foundation.NSString Represents the value associated with the constant NSURLVolumeSupportsVolumeSizesKey To be added.
- Property
  0.0.0.0
  MonoMac.Foundation.NSString Represents the value associated with the constant NSURLVolumeSupportsZeroRunsKey To be added.
- Property
  0.0.0.0
  MonoMac.Foundation.NSString Represents the value associated with the constant NSURLVolumeTotalCapacityKey To be added.
- Property
  0.0.0.0
  MonoMac.Foundation.NSString Represents the value associated with the constant NSURLVolumeURLForRemountingKey To be added.
- Property
  0.0.0.0
  MonoMac.Foundation.NSString Represents the value associated with the constant NSURLVolumeURLKey To be added.
- Property
  0.0.0.0
  MonoMac.Foundation.NSString Represents the value associated with the constant NSURLVolumeUUIDStringKey To be added.
- Method
  0.0.0.0
  MonoMac.Foundation.Export("writeToPasteboard:")
  System.Void `` To be added. To be added. To be added.